Subject: bug#37342: Xfce4 hides panel after update

From: [email-masked]
Date: Sun, 08 Sep 2019 16:22:37 +0000

Today, I've updated guix with this consequence:
# guix pull && guix package -u
# guix system reconfigure /etc/config.scm

After reboot I successfully login to Slim and Xfce4 shows Desktop and Panel. But then after few moments Xfce4 hides panel, and I cannot open Applications with ctrl + esc. I only can use Main Menu by clicking right mouse.
So I go to Settings and see there is Panel. I make it much pixels high and 3 rows, but it does not show never.
So I add new panel and configure it.
Also I run Icecat but I cannot type there! Any key pressing gives nothing!
After reboot panels hide themselves again. So I have 2 panel in Xfce4 settings and they are not displaying.
But I can use keyboard.

I've open new tty and made update by root again and by my usual user.
After reboot Panels hide themselves again!

I made roll-back because of this ugly bug. And it;s ok.

Please, is my old config rests good? Where this bug come from?